Status: Closed Start date: 03/09/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.7   

Description

We ought to include the English works of:

Aeschines

Aeschylus

Andocides

Apollodorus

Appian

Aretaeus

Aristophanes

Aristotle

Bacchylides

Demosthenes

Dinarchus

Diodorus Siculus

Diogenes Laertius

Elegy and Iambus, Volume I, Elegy and Iambus, Volume II

Euclid

Euripides

Galen

Herodotus

Hesiod

Hippocrates

Homer

Hyperides

Flavius Josephus

Pausanias

Pindar

Plato

Plutarch

Polybius

Sophocles

Strabo

Xenophon

Subtasks:

Task # 554: Import initial English works Closed

Task # 555: Configure import policy Closed

  Task # 567: Import works of Aeschylus Closed

  Task # 568: Import works of Appian Closed

  Task # 569: Import works of Aristophanes Closed

  Task # 570: Import Elegy and Iambus Closed

  Task # 571: Import works of Euripides Closed

  Task # 572: Import works of Hippocrates Closed

  Task # 573: Import works of Homer Closed

  Task # 574: Import works of Plutarch Closed

  Task # 575: Import works of Polybius Closed

  Task # 576: Import works of Sophocles Closed

  Task # 577: Import works of Xenophon Closed
Task # 556: Change importer to strip "English" from document names Closed

Task # 557: Change importer to handle XML processing instructions Closed

Task # 558: Make the list of typeahead hints unique Closed

Task # 559: Make translation reference for relating different versions of the same docu... Closed

  Task # 591: Reimport Josephus' Works in English Closed

Task # 560: Disable morphology lookups for English works Closed

Task # 562: Change home page to include breakdown of works by language Closed

History

#1 - 03/09/2013 08:54 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 03/09/2013 06:02 PM - Luke Murphey

The importer was successful in importing 284 works with exception of one: hist_eng.xml.

This work has an XML processing instruction:

{code}

2013-03-09 04:17:57,810 [ERROR] reader.importer.PerseusBatchImporter: Exception generated when attempting to process file="hist_eng.xml"

Traceback (most recent call last):

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", line 148, in process_directory

if self.__process_file__( os.path.join( root, f) ):

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", line 98, in process_file

return self.process_file(file_path, document_xml, title, author, language, editor)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", line 284, in process_file

perseus_importer.import_file(file_path)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 161, in import_file

return self.import_xml_document(doc)

File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/django/db/transaction.py", line 209, in inner

return func(*args, **kwargs)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 728, in import_xml_document

divisions = self.import_body_sub_node(body_node, current_state_set)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1255, in import_body_sub_node

created_division_node = self.import_body_sub_node(node, state_set, import_context, True, parent_node=next_level_node)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1255, in import_body_sub_node

created_division_node = self.import_body_sub_node(node, state_set, import_context, True, parent_node=next_level_node)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1255, in import_body_sub_node

created_division_node = self.import_body_sub_node(node, state_set, import_context, True, parent_node=next_level_node)

File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1110, in import_body_sub_node

elif node.tagName == "text" and node.attributes.get("n", None) != None:

AttributeError: ProcessingInstruction instance has no attribute 'tagName' {code}
#3 - 03/15/2013 05:37 PM - Luke Murphey

The author of the English Pindar work is actually "Basil L. Gildersleeve".

#4 - 03/25/2013 12:46 AM - Luke Murphey

- Status changed from In Progress to Closed

Powered by TCPDF (www.tcpdf.org)

05/07/2024 3/3

http://www.tcpdf.org

